Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
yaml_alias_data_s Struct Reference
Parser Definitions

This structure holds aliases data. More...

`#include <yaml.h>`

## Data Fields
yaml_char_t * | anchor
| The anchor. More...
int | index
| The node id. More...
yaml_mark_t | mark
| The anchor mark. More...

## Detailed Description

This structure holds aliases data.

Definition at line 1065 of file yaml.h.

## Field Documentation

yaml_char_t* yaml_alias_data_s::anchor

The anchor.

Definition at line 1067 of file yaml.h.

Referenced by yaml_parser_load_alias(), and yaml_parser_register_anchor().

int yaml_alias_data_s::index

The node id.

Definition at line 1069 of file yaml.h.

Referenced by yaml_parser_load_alias(), and yaml_parser_register_anchor().

yaml_mark_t yaml_alias_data_s::mark

The anchor mark.

Definition at line 1071 of file yaml.h.

Referenced by yaml_parser_register_anchor().

The documentation for this struct was generated from the following file:

- ext/psych/yaml/yaml.h